%global enable_tests 1
%global srcname tough-cookie

Name:           nodejs-%{srcname}
Version:        2.3.2
Release:        3%{?dist}
Summary:        RFC6265 Cookies and Cookie Jar for Node.js
# The entire source is BSD except for "public_suffix_list.dat" which is MPLv2.0
# and "lib/pubsuffix.js" which is partially MPLv2.0 and BSD
License:        BSD and MPLv2.0
URL:            https://www.npmjs.com/package/tough-cookie
Source0:        https://github.com/salesforce/%{srcname}/archive/v%{version}/%{srcname}-%{version}.tar.gz
# https://github.com/salesforce/tough-cookie/pull/91
Patch0:         nodejs-tough-cookie-expiry.patch

BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:  npm(async)
BuildRequires:  npm(string.prototype.repeat)
BuildRequires:  npm(vows)
%endif

%description
%{summary}.

%prep
%autosetup -p 1 -n %{srcname}-%{version}
%nodejs_fixdep punycode "^2.0.0"
rm -rf node_modules

%build
#nothing to do

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{srcname}
cp -pr package.json lib/ \
     %{buildroot}%{nodejs_sitelib}/%{srcname}

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
vows --spec test/*_test.js
%endif

%files
%doc README.md
%license LICENSE
%{nodejs_sitelib}/%{srcname}

%changelog
* Thu Feb 08 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2.3.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Sat Aug 12 2017 Tom Hughes <tom@compton.nu> - 2.3.2-2
- Update npm(punycode) dependency

* Sat Aug 12 2017 Tom Hughes <tom@compton.nu> - 2.3.2-1
- Update to 2.3.2 upstream release
- Patch date related test failure

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.3.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.3.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Wed Jul 27 2016 Piotr Popieluch <piotr1212@gmail.com> - - 2.3.1-1
- Update to 2.3.1

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 2.2.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Sat Oct 24 2015 Piotr Popieluch <piotr1212@gmail.com> - 2.2.0-1
- Initial package
